Bug 101659 - XML content type loader recreates authoring kit even if nothing has changed
Summary: XML content type loader recreates authoring kit even if nothing has changed
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-05 11:25 UTC by Daniel Berrange
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:20:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-08-05 11:25:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The XML content type loader re-creates the authoring kit on every startup of the
server, even if nothing has changed since the last restart. This imposes a
noticable overhead on startup, of about 9 seconds, out of total startup time of
36 seconds (25%). It should
be made intelligent enough to only drop the authoring kit if it has
changed. To reduce code duplication, this functionality should probably be added
to c.a.cms.installer.ContentTypeSetup & the XML loader refactored to use this
API for actual creation.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Examine contents of authoring_steps & authoring_kits tables
2. Restart a server
3. Examine contents of authoring_steps & authoring_kits tables

Actual Results:  All the object ids are different, indicating authoring kit has
been recreated.

Expected Results:  All the object ids are the same in step 1 & 3, except when
there has been an *actual* change to the Content type XML file.

Additional info:

Comment 1 Daniel Berrange 2006-09-02 17:20:40 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.